---
title: Sensor.timestamp
slug: Web/API/Sensor/timestamp
tags:
  - API
  - Generic Sensor API
  - Property
  - Reference
  - Sensor
  - Sensor APIs
  - Sensors
  - timeStamp
---
<div>{{APIRef("Generic Sensor API")}}</div>

<p><span class="seoSummary">The <strong><code>timestamp</code></strong> read-only property of the {{domxref("Sensor")}} interface returns the time stamp of the latest sensor reading. </span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>timestamp</var> = <em>sensorInstance</em>.timestamp</pre>

<p>Because {{domxref('Sensor')}} is a base class, <code>timestamp</code> may only be read from one of its derived classes.</p>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMHighResTimeStamp")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Generic Sensor','#dom-sensor-timestamp','timestamp')}}</td>
   <td>{{Spec2('Generic Sensor')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Sensor.timestamp")}}</p>
